//********************************************************************
//		project 	PAFEE
//
//! 	 @file: 	PafeeTaskConfig.h
//! 	 @author:	Technocrats
//! 	 @brief:	PafeeTask class header to be included by CFG file(for ITRON)
//
//********************************************************************
//
// P A F E E   - Pragmatic Application Framework for Embedded Environment- 
//
//
// Copyright (c) 2009 KN Information Sustems Corporation,
//                    Hirocon Corporation,
//                    Technocrats Corporation
// 
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to deal
// in the Software without restriction, including without limitation the rights
// to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
// copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
// 
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
// 
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
//

#ifndef _PAFEETASK_CONFIG_H_INCLUDED_
#define _PAFEETASK_CONFIG_H_INCLUDED_

#ifdef PAFEE_OS_ITRON

#include <kernel.h>

typedef struct tagTASK_ENTRY_PARAM
{
	int taskID;
	void* pTaskParam;
} TASK_ENTRY_PARAM;

#ifdef __cplusplus
namespace Pafee
{
#endif

#ifdef __cplusplus
extern "C"
{
#endif

/**
 * @brief  global function to use thread procedure function (for ITRON)
 * @param  void* : Task procedure information structure
 * @return void pointer
 */
void TaskEntry(VP_INT arg);

#ifdef __cplusplus
} /* extern "C" */
#endif

#ifdef __cplusplus
}; // namespace pafee
#endif
#endif // PAFEE_OS_ITRON

#endif // _PAFEETASK_CONFIG_H_INCLUDED_
