//****************************************************
//
//      project     PAFEE
//!      @file:     define.c
//!      @author:   Technocrats
//!      @brief:    Structure tool define source
//
//*****************************************************

#include "StdAfx.h"
#include "define.h"
#include <string>
#include <fstream>

using namespace std;

#ifdef __cplusplus
namespace Pafee {
#endif

/**
 * @brief  Get line from file
 * @param  ifs ifstream class
 * @return get string
 */
string pafee_GetFileLine(
	ifstream &ifs
)
{
	string retval="";
	char c;

	if(ifs)
	{

		while(!ifs.eof())
		{
			c = ifs.get();

			if(c == 0x0a)
			{
				break;
			}
			else if(c == 0x0d)
			{
				break;
			}
			else if(c == -1)
			{
				break;
			}
			else
			{
				retval += c;
			}
		}
	}

	return retval;
}

/**
 * @brief  Delete str from line top and bottom
 * @param  ifs ifstream class
 * @return get string
 */
string pafee_DeleteCharacter(
	string str,
	string deleteStr
)
{
	string retval="";
	string::size_type first;
	string::size_type last;
	string::size_type length;

	length = str.size();
	first = str.find_first_not_of(deleteStr);
	last = str.find_last_not_of(deleteStr);

	if(first == string::npos)
	{
		retval = "";
	}
	else
	{
		retval = str.substr(first, last - first + 1);
	}

	return retval;
}

#ifdef __cplusplus
}; // namespace Pafee
#endif
